Skip to navigation

Update Product Review

Updates a Product Review.

Required Fields

  • none

Read-Only Fields

  • id

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

product_idintegerRequired

The ID of the Product to which the resource belongs.

review_idintegerRequired

The ID of the review that is being operated on.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

A BigCommerce ProductReview object.

titlestringRequired0-255 characters

The title for the product review. Required in /POST.

date_revieweddatetimeRequired

Date the product was reviewed. Required in /POST.

textstringOptional
The text for the product review.
statusstringOptional

The status of the product review. Must be one of approved, disapproved or pending.

ratingintegerOptional
The rating of the product review. Must be one of 0, 1, 2, 3, 4, 5.
emailstringOptional
The email of the reviewer. Must be a valid email, or an empty string.
namestringOptional0-255 characters
The name of the reviewer.

Response

OK
dataobjectOptional
A product review model.
metaobjectOptional
Response metadata.

Errors

404
Not Found Error